Bug 246701 - firefox becomes unresponsive when closing tab with flash
firefox becomes unresponsive when closing tab with flash
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-04 02:58 EDT by Pavel Rosenboim
Modified: 2008-01-17 12:51 EST (History)
3 users (show)

See Also:
Fixed In Version: somewhere in f7 life
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-17 12:51:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Rosenboim 2007-07-04 02:58:45 EDT
Description of problem:
When closing tab with some flash animation (for example, youtube video), firefox
becomes unresponsive and have to be killed.

Version-Release number of selected component (if applicable):
firefox-2.0.0.4-2.fc7
I had same problem with FC6 firefox 1.5.0.11 and 1.5.0.12

How reproducible:
Often. Only certain flash applications do that. Youtube/dailymotion videos cause
problem almost every time.

Steps to Reproduce:
1. Watch video on youtube.com in a tab.
2. Close tab
3.
  
Actual results:
Firefox stops responding.

Expected results:
Close tab.

Additional info:
Comment 1 Rafał Polak 2007-07-27 18:12:07 EDT
I also noticed it in many distributions and different Firefox versions.
Comment 2 Leif Hedstrom 2007-11-25 14:07:17 EST
One thing I've found that helps with Firefox and Flash on various Linux distros
(I use Fedora Core) is to set this environment variable in the firefox startup
script:

    export XLIB_SKIP_ARGB_VISUALS=1
Comment 3 Christopher Aillon 2007-11-26 07:21:35 EST
That env variable should only needed for older flash.  We used to export that in
the startup script, but the newest flash from adobe.com should not require that
any longer...
Comment 4 Leif Hedstrom 2007-11-27 13:10:55 EST
(In reply to comment #3)
> That env variable should only needed for older flash.  We used to export that in
> the startup script, but the newest flash from adobe.com should not require that
> any longer...

Hmmm, I run the latest flash from Adobe, with FF 2.0.0.9, and without that
environment setting, it crashes all the time. After I put it back in there, my
browser stays up for days (compared to minutes/hours without it, every site has
flash these days it seems...).

I'm using Shockwave Flash 9.0 r48, is there a newer version I should use?
Comment 5 Pavel Rosenboim 2007-12-04 02:00:55 EST
XLIB_SKIP_ARGB_VISUALS=1 didn't help in my case. I think the problem happens
when flash has to play audio. 

BTW, new flash plugin 9.0.115.0 released today, maybe it will help.
Comment 6 Christopher Aillon 2007-12-04 04:13:44 EST
yum install libflashsupport
Comment 7 Pavel Rosenboim 2007-12-04 04:50:27 EST
Will it work in F7 too? I think pulseaudio was added only in F8.
Comment 8 Matěj Cepl 2007-12-05 09:48:21 EST
Reporter, could you please, check whether you can reproduce the bug with the
latest Adobe plugin?

Thanks a lot.
Comment 9 Matěj Cepl 2008-01-17 08:34:02 EST
Reporter, could you please try to reproduce this issue with the last flash
plugin, please? Upgrade please to that and tell us whether it helped.

Concerning Pulseaudio -- yes, it is available in F7, but it is not default and
you can live without it.
Comment 10 Pavel Rosenboim 2008-01-17 08:37:35 EST
I haven't tried too much, but so far, it worked ok with latest flash.
Comment 11 Matěj Cepl 2008-01-17 12:51:35 EST
OK, cool, thanks. Please, reopen if it happens again.

Note You need to log in before you can comment on or make changes to this bug.